import { FieldInfo } from 'model-util-base'
import { ConditionUtil, ConditionUtilImpl, FieldUtil, TableUtilImpl, IdType, JoinTable, SubTable } from 'model-util'
import { Container, Singleton } from 'typescript-ioc' 
import { CnProjectBuild } from '../models/index' 
/**
 * @author auto generate
 * @version 1.0
 * @date 2021-10-29 14:10
 */
interface CnProjectBuildCU extends ConditionUtil<CnProjectBuildCU>{
    ID:FieldUtil<CnProjectBuildCU>;
    PROJECT_ID:FieldUtil<CnProjectBuildCU>;
    VERSION_ID:FieldUtil<CnProjectBuildCU>;
    COMMIT_ID:FieldUtil<CnProjectBuildCU>;
    BUILD_TAG:FieldUtil<CnProjectBuildCU>;
    BUILD_SEQ:FieldUtil<CnProjectBuildCU>;
    RELEASE_TAG:FieldUtil<CnProjectBuildCU>;
    RELEASE_STATUS:FieldUtil<CnProjectBuildCU>;
    BUILD_STATUS:FieldUtil<CnProjectBuildCU>;
    BUILD_LOG:FieldUtil<CnProjectBuildCU>;
    DELETED:FieldUtil<CnProjectBuildCU>;
    CREATE_USER_ID:FieldUtil<CnProjectBuildCU>;
    CREATE_TIME:FieldUtil<CnProjectBuildCU>;
}

class CnProjectBuildCUImpl extends ConditionUtilImpl<CnProjectBuildCUImpl> implements CnProjectBuildCU{ 
    newInstance(): CnProjectBuildCUImpl {
        return new CnProjectBuildCUImpl();
    } 
    get ID(): FieldUtil<CnProjectBuildCU>{  
        return new FieldUtil('id','id','id', this);
    }
    get PROJECT_ID(): FieldUtil<CnProjectBuildCU>{  
        return new FieldUtil('project_id','projectId','项目ID', this);
    }
    get VERSION_ID(): FieldUtil<CnProjectBuildCU>{  
        return new FieldUtil('version_id','versionId','版本ID', this);
    }
    get COMMIT_ID(): FieldUtil<CnProjectBuildCU>{  
        return new FieldUtil('commit_id','commitId','GIT commitId', this);
    }
    get BUILD_TAG(): FieldUtil<CnProjectBuildCU>{  
        return new FieldUtil('build_tag','buildTag','构建标签：b1、b2...', this);
    }
    get BUILD_SEQ(): FieldUtil<CnProjectBuildCU>{  
        return new FieldUtil('build_seq','buildSeq','构建序号', this);
    }
    get RELEASE_TAG(): FieldUtil<CnProjectBuildCU>{  
        return new FieldUtil('release_tag','releaseTag','发布标签：1.0.0-Release', this);
    }
    get RELEASE_STATUS(): FieldUtil<CnProjectBuildCU>{  
        return new FieldUtil('release_status','releaseStatus','发布状态：0-未发布、1-已发布', this);
    }
    get BUILD_STATUS(): FieldUtil<CnProjectBuildCU>{  
        return new FieldUtil('build_status','buildStatus','构建状态:0-待构建、1-构建成功、2-构建失败', this);
    }
    get BUILD_LOG(): FieldUtil<CnProjectBuildCU>{  
        return new FieldUtil('build_log','buildLog','构建日志', this);
    }
    get DELETED(): FieldUtil<CnProjectBuildCU>{  
        return new FieldUtil('deleted','deleted','deleted', this);
    }
    get CREATE_USER_ID(): FieldUtil<CnProjectBuildCU>{  
        return new FieldUtil('create_user_id','createUserId','create_user_id', this);
    }
    get CREATE_TIME(): FieldUtil<CnProjectBuildCU>{  
        return new FieldUtil('create_time','createTime','create_time', this);
    }
}

@Singleton 
class CnProjectBuildMU extends TableUtilImpl<CnProjectBuildCU,CnProjectBuild>{ 
    tableName  = 'cn_project_build';
    tableFields  = ['id','project_id','version_id','commit_id','build_tag','build_seq','release_tag','release_status','build_status','build_log','deleted','create_user_id','create_time'];
    modelFields  = ['id','projectId','versionId','commitId','buildTag','buildSeq','releaseTag','releaseStatus','buildStatus','buildLog','deleted','createUserId','createTime'];
    modelIdFields  = ['id'];
    tableIdFields  = ['id'];
    idType = IdType.CUSTOM;
    joinTables = [];
    subTables = [];

    createConditionUtil(): CnProjectBuildCU {
        return new CnProjectBuildCUImpl();
    }   

    static get ID(): FieldUtil<CnProjectBuildCU>{ 
        return new FieldUtil('id','id','id', new CnProjectBuildCUImpl());
    }
    static get PROJECT_ID(): FieldUtil<CnProjectBuildCU>{ 
        return new FieldUtil('project_id','projectId','项目ID', new CnProjectBuildCUImpl());
    }
    static get VERSION_ID(): FieldUtil<CnProjectBuildCU>{ 
        return new FieldUtil('version_id','versionId','版本ID', new CnProjectBuildCUImpl());
    }
    static get COMMIT_ID(): FieldUtil<CnProjectBuildCU>{ 
        return new FieldUtil('commit_id','commitId','GIT commitId', new CnProjectBuildCUImpl());
    }
    static get BUILD_TAG(): FieldUtil<CnProjectBuildCU>{ 
        return new FieldUtil('build_tag','buildTag','构建标签：b1、b2...', new CnProjectBuildCUImpl());
    }
    static get BUILD_SEQ(): FieldUtil<CnProjectBuildCU>{ 
        return new FieldUtil('build_seq','buildSeq','构建序号', new CnProjectBuildCUImpl());
    }
    static get RELEASE_TAG(): FieldUtil<CnProjectBuildCU>{ 
        return new FieldUtil('release_tag','releaseTag','发布标签：1.0.0-Release', new CnProjectBuildCUImpl());
    }
    static get RELEASE_STATUS(): FieldUtil<CnProjectBuildCU>{ 
        return new FieldUtil('release_status','releaseStatus','发布状态：0-未发布、1-已发布', new CnProjectBuildCUImpl());
    }
    static get BUILD_STATUS(): FieldUtil<CnProjectBuildCU>{ 
        return new FieldUtil('build_status','buildStatus','构建状态:0-待构建、1-构建成功、2-构建失败', new CnProjectBuildCUImpl());
    }
    static get BUILD_LOG(): FieldUtil<CnProjectBuildCU>{ 
        return new FieldUtil('build_log','buildLog','构建日志', new CnProjectBuildCUImpl());
    }
    static get DELETED(): FieldUtil<CnProjectBuildCU>{ 
        return new FieldUtil('deleted','deleted','deleted', new CnProjectBuildCUImpl());
    }
    static get CREATE_USER_ID(): FieldUtil<CnProjectBuildCU>{ 
        return new FieldUtil('create_user_id','createUserId','create_user_id', new CnProjectBuildCUImpl());
    }
    static get CREATE_TIME(): FieldUtil<CnProjectBuildCU>{ 
        return new FieldUtil('create_time','createTime','create_time', new CnProjectBuildCUImpl());
    }

    get ID(): FieldUtil<CnProjectBuildCU>{ 
        return CnProjectBuildMU.ID;
    }
    get PROJECT_ID(): FieldUtil<CnProjectBuildCU>{ 
        return CnProjectBuildMU.PROJECT_ID;
    }
    get VERSION_ID(): FieldUtil<CnProjectBuildCU>{ 
        return CnProjectBuildMU.VERSION_ID;
    }
    get COMMIT_ID(): FieldUtil<CnProjectBuildCU>{ 
        return CnProjectBuildMU.COMMIT_ID;
    }
    get BUILD_TAG(): FieldUtil<CnProjectBuildCU>{ 
        return CnProjectBuildMU.BUILD_TAG;
    }
    get BUILD_SEQ(): FieldUtil<CnProjectBuildCU>{ 
        return CnProjectBuildMU.BUILD_SEQ;
    }
    get RELEASE_TAG(): FieldUtil<CnProjectBuildCU>{ 
        return CnProjectBuildMU.RELEASE_TAG;
    }
    get RELEASE_STATUS(): FieldUtil<CnProjectBuildCU>{ 
        return CnProjectBuildMU.RELEASE_STATUS;
    }
    get BUILD_STATUS(): FieldUtil<CnProjectBuildCU>{ 
        return CnProjectBuildMU.BUILD_STATUS;
    }
    get BUILD_LOG(): FieldUtil<CnProjectBuildCU>{ 
        return CnProjectBuildMU.BUILD_LOG;
    }
    get DELETED(): FieldUtil<CnProjectBuildCU>{ 
        return CnProjectBuildMU.DELETED;
    }
    get CREATE_USER_ID(): FieldUtil<CnProjectBuildCU>{ 
        return CnProjectBuildMU.CREATE_USER_ID;
    }
    get CREATE_TIME(): FieldUtil<CnProjectBuildCU>{ 
        return CnProjectBuildMU.CREATE_TIME;
    }
}
export {CnProjectBuildMU, CnProjectBuildCU}
